Bug 65193 - TB Conf:507:initvars IndexError: list index out of range / nameservers
TB Conf:507:initvars IndexError: list index out of range / nameservers
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Harald Hoyer
Depends On:
Blocks: rcn-7.3
  Show dependency treegraph
Reported: 2002-05-19 17:07 EDT by Adam Pribyl
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-06-26 12:10:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Adam Pribyl 2002-05-19 17:07:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0rc1) Gecko/20020417

Description of problem:
redhat-config-network fails to start when no nameserver is defined in

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.remove any existing nameserver XXX.XXX.XXX.XXX from /etc/resolv.conf, leave
only "search \n nameserver \n" lines in there
2.run internet-druid/redhat-config-network

Actual Results:  Traceback lower

Expected Results:  rh-cfg-net should start

Additional info:

This is traceback of rh-cfg-net:
Traceback (innermost last):
  File "/usr/sbin/internet-druid", line 1400, in ?
    window = mainDialog('druid')
  File "/usr/sbin/internet-druid", line 222, in __init__
  File "/usr/sbin/internet-druid", line 243, in load
  File "/usr/sbin/internet-druid", line 256, in loadProfiles
    profilelist = getProfileList()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCProfileList.py", l
ine 393, in getProfileList
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCProfileList.py", l
ine 45, in load
    dnsconf = Conf.ConfEResolv()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/Conf.py", line 494, 
in __init__
    Conf.__init__(self, '/etc/resolv.conf', '#', '\t ', ' ')
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/Conf.py", line 180, 
in __init__
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/Conf.py", line 497, 
in read
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/Conf.py", line 507, 
in initvars
    self.vars['nameservers'] = [ var[1] ]
IndexError: list index out of range

Local variables in innermost frame:
self: <netconfpkg.Conf.ConfEResolv instance at 82f84a0>
var: ['nameserver']
Comment 1 Harald Hoyer 2002-06-26 12:10:07 EDT
fixed in CVS
Comment 2 Harald Hoyer 2002-10-23 05:56:29 EDT
first beta of erratum is available at:

Most of the bugs reported have been removed, but as in every software change,
there could be new bugs introduced.

Please report bugs against this with explicitly stating the 1.0.1 version... Thx
and please test.
Comment 3 John Flanagan 2003-02-14 16:04:14 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.